Mailinglist Archive: opensuse-updates (117 mails)

< Previous Next >
openSUSE-SU-2016:0947-1: moderate: Security update for krb5
openSUSE Security Update: Security update for krb5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0947-1
Rating: moderate
References:
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:


This update for krb5 fixes the following security issue:

- CVE-2016-3119: An authenticated attacker with permission to modify a
principal entry could have caused kadmind to dereference a null pointer
by supplying an empty DB argument to the modify_principal command, if
kadmind is configured to use the LDAP KDB module. (bsc#971942)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-424=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

krb5-1.12.2-24.1
krb5-client-1.12.2-24.1
krb5-client-debuginfo-1.12.2-24.1
krb5-debuginfo-1.12.2-24.1
krb5-debugsource-1.12.2-24.1
krb5-devel-1.12.2-24.1
krb5-doc-1.12.2-24.1
krb5-mini-1.12.2-24.1
krb5-mini-debuginfo-1.12.2-24.1
krb5-mini-debugsource-1.12.2-24.1
krb5-mini-devel-1.12.2-24.1
krb5-plugin-kdb-ldap-1.12.2-24.1
krb5-plugin-kdb-ldap-debuginfo-1.12.2-24.1
krb5-plugin-preauth-otp-1.12.2-24.1
krb5-plugin-preauth-otp-debuginfo-1.12.2-24.1
krb5-plugin-preauth-pkinit-1.12.2-24.1
krb5-plugin-preauth-pkinit-debuginfo-1.12.2-24.1
krb5-server-1.12.2-24.1
krb5-server-debuginfo-1.12.2-24.1

- openSUSE 13.2 (x86_64):

krb5-32bit-1.12.2-24.1
krb5-debuginfo-32bit-1.12.2-24.1
krb5-devel-32bit-1.12.2-24.1


References:



< Previous Next >
This Thread
  • No further messages